package master;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;


import midlet.MmpcMIDlet;
/**
 * 
 * @author pete
 */
public class MasterExtender_J2ME extends Master_J2ME
{

	//private SimplePlaylist playlist;
	private MmpcMIDlet midlet_lnk;
	/**
	 * 
	 * print to sysout
	 * 
	 * @param string to print
	 */
	static void debug(String s)
	{
		System.out.println(s);
	}
	/**
	 * 
	 * default constructor  
	 * 
	 * @param midlet
	 */
	public MasterExtender_J2ME(MmpcMIDlet midlet)
	{
		debug("cr");
		this.midlet_lnk = midlet;
		debug("created");
	}

	/**
	 * initiate Master unit
	 * */
	
	public void init()
	{
		super.init();
	}
	/**
	 * 
	 * initiate load process
	 * 
	 * 
	 */

	public void initiateLoad()
	{
		super.initiateLoad();
	}
	/**
	 * 
	 * initiate save process
	 * 
	 * 
	 */
	public void initiateSave()
	{
		super.initiateSave();
	}
	/**
	 * 
	 * Bye, bye, love!
	 * 
	 * 
	 */
	public void die()
	{
		super.die();
		midlet_lnk.destroyApp(false);
	}
	/**
	 * 
	 * convert string array to byte array
	 * 
	 * 
	 */
	static public byte[] StringArrayToByteArray(String[] in)
	{

		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		DataOutputStream dos = new DataOutputStream(baos);
		try {
			dos.writeInt(in.length);
			for (int i = 0; i < in.length; i++) {
				dos.writeUTF(in[i]);
			}
		} catch (IOException exc) {
			exc.printStackTrace();
		}
		return baos.toByteArray();

	}

	static public String[] ByteArrayToStringArray(byte[] in)
	{
		ByteArrayInputStream dais = new ByteArrayInputStream(in);
		DataInputStream dis = new DataInputStream(dais);
		String[] a = null;
		try {
			int len;
			len = dis.readInt();
			a = new String[len];
			for (int i = 0; i < len; i++) {
				a[i] = dis.readUTF();
			}
		} catch (IOException exc) {
			exc.printStackTrace();
		}
		return a;
	}
}