package midlet;

import javax.microedition.midlet.MIDlet;

import com.sun.lwuit.Display;

import master.MasterExtender_J2ME;

public class MmpcMIDlet  extends MIDlet {

	boolean isStarted = false;
	
	private MasterExtender_J2ME master;
	
	/**
	 * Creates new Mmpc MIDlet.
	 */
	public MmpcMIDlet() {
	}

	public void startApp() {

		if (isStarted)
			return;
		isStarted = true;
		Display.init(this);//lwuit
        Display.getInstance().setShowVirtualKeyboard(true);
		master = new MasterExtender_J2ME(this);
		master.initiateLoad();
        master.init();		
	}

	/**
	 * Pause signals the thread to stop by clearing the thread field. If stopped
	 * before done with the iterations it will be restarted from scratch later.
	 */
	public void pauseApp() {
	}

	/**
	 * Destroy must cleanup everything. Only objects exist so the GC will do all
	 * the cleanup after the last reference is removed.
	 */
	public void destroyApp(boolean unconditional) {
		notifyDestroyed();
		isStarted=false;
	}

}
